Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.xml.ws
Annotation Type WebServiceRef

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    @Documented
    public @interface WebServiceRef

The `WebServiceRef` annotation is used to define a reference to a web service and (optionally) an injection target for it. Web service references are resources in the Java EE 5 sense.

Since:
  JAX-WS 2.0
See Also:
  `Resource`

Optional Element Summary
`String` | `mappedName` A product specific name that this resource should be mapped to.
`String` | `name` The JNDI name of the resource.
`Class` | `type` The Java type of the resource.
`Class` | `value` The service class, always a type extending `javax.xml.ws.Service`.
`String` | `wsdlLocation` A URL pointing to the WSDL document for the web service.

### name

    public abstract String name

  The JNDI name of the resource. For field annotations, the default is the field name. For method annotations, the default is the JavaBeans property name corresponding to the method. For class annotations, there is no default and this MUST be specified.

  Default:
    ""

### type

    public abstract Class type

  The Java type of the resource. For field annotations, the default is the type of the field. For method annotations, the default is the type of the JavaBeans property. For class annotations, there is no default and this MUST be specified.

  Default:
    java.lang.Object.class

### mappedName

    public abstract String mappedName

  A product specific name that this resource should be mapped to. The name of this resource, as defined by the `name` element or defaulted, is a name that is local to the application component using the resource. (It's a name in the JNDI `java:comp/env` namespace.) Many application servers provide a way to map these local names to names of resources known to the application server. This mapped name is often a global JNDI name, but may be a name of any form.

  Application servers are not required to support any particular form or type of mapped name, nor the ability to use mapped names. The mapped name is product-dependent and often installation-dependent. No use of a mapped name is portable.

  Default:
    ""

### value

    public abstract Class value

  The service class, always a type extending `javax.xml.ws.Service`. This element MUST be specified whenever the type of the reference is a service endpoint interface.

  Default:
    java.lang.Object.class

### wsdlLocation

    public abstract String wsdlLocation

  A URL pointing to the WSDL document for the web service. If not specified, the WSDL location specified by annotations on the resource type is used instead.

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.